// rollup.config.js
import typescript from '@rollup/plugin-typescript';
import resolve from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';
import { dts } from 'rollup-plugin-dts';
/**
 * @type {import('rollup').RollupOptions}
 */
export default [
  {
    input: 'src/config.ts', // TypeScript 入口文件
    output: {
      file: 'dist/config.mjs', // 输出文件
      format: 'es', // 输出格式设置为 ES 模块
    },
    plugins: [
      resolve(), // 使用 @rollup/plugin-node-resolve 解析 node_modules 中的模块
      commonjs(),
      typescript(), // 使用 @rollup/plugin-typescript 处理 TypeScript 文件
    ],
    external: [],
  },
  {
    input: 'src/config.ts',
    output: {
      file: 'dist/config.d.ts',
      format: 'es',
    },
    plugins: [dts()],
  },
  {
    input: 'src/pkgs.ts', // TypeScript 入口文件
    output: {
      file: 'dist/pkgs.mjs', // 输出文件
      format: 'es', // 输出格式设置为 ES 模块
    },
    plugins: [
      resolve(), // 使用 @rollup/plugin-node-resolve 解析 node_modules 中的模块
      commonjs(),
      typescript(), // 使用 @rollup/plugin-typescript 处理 TypeScript 文件
    ],
    external: [],
  },
  {
    input: 'src/pkgs.ts',
    output: {
      file: 'dist/pkgs.d.ts',
      format: 'es',
    },
    plugins: [dts()],
  },
  {
    input: 'src/context.ts', // TypeScript 入口文件
    output: {
      file: 'dist/context.mjs', // 输出文件
      format: 'es', // 输出格式设置为 ES 模块
    },
    plugins: [
      resolve(), // 使用 @rollup/plugin-node-resolve 解析 node_modules 中的模块
      commonjs(),
      typescript(), // 使用 @rollup/plugin-typescript 处理 TypeScript 文件
    ],
    external: [],
  },
  {
    input: 'src/context.ts',
    output: {
      file: 'dist/context.d.ts',
      format: 'es',
    },
    plugins: [dts()],
  },
  {
    input: 'src/file-store.ts',
    output: {
      file: 'dist/file-store.mjs',
      format: 'es',
    },
    plugins: [
      resolve(),
      commonjs(),
      typescript(),
    ],
    external: [],
  },
  {
    input: 'src/file-store.ts',
    output: {
      file: 'dist/file-store.d.ts',
      format: 'es',
    },
    plugins: [dts()],
  }
];
